README.txt
==========

A module for profiling database query counts. 

The number of database queries on each request path is logged to a database table where the count of requests
for each path, along with the minimum, maximum last and last request time values will be recorded.

The module serves a different use case to the Webprofiler module which is ideally suited to a development environment and is invaluable in debugging and establishing performance issues but is primarily of use when you, the developer are the one loading/viewing pages.

https://www.drupal.org/project/webprofiler

This module is suitable for running in a production environment (for limited periods is recommended) and will collect information about the number of queries that are being performed by different requests for pages of the site being initiated by real world users.

With this information you can then narrow your focus to pages that look suspicious because they have high query counts. Maybe coding errors or caching not working as expected etc..

This module is based on the original Drupal memory_profiler_plus module created by
create by Andy Jones (arcaic) which in turn was based on memory Profiler by Drew Webber (mcdruid).

https://www.drupal.org/project/memory_profiler_plus
https://www.drupal.org/project/memory_profiler

Module features
===============
* Logs request query count data to a database table.
* A view is provided for examining profiling count data.
* Logging can be initiated or stopped from the modules settings (no need to enable/disable).
* Paths/URIs that counts are collected for can be filtered by path regex and minimum count value.
* Logging of query counts can be enabled or disabled from the module settings.
* Database query count data can be truncated from the settings dialog.
* The Site Guardian API is supported so data from the query counts can be examined remotely.

Consideratons
=============
* This module adds a DB upsert to every request that Drupal handles so does add some overhead. A single page load can be many requests so you should consider the impact it may have on any site you use it on. With a Drupal page request often performing 100's of queries per request the overhead is likely to be significant or negatively impact the site.
* General advice would be to run this on a non production environment when possible or if needs must run it in production for the minimal amount of time neccessary to get the information you need. This is easy to do by installing the module, enabling profiling in the settings for a short period and then disabling profiling. You can then use the report view to examine the data.
